# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /Applications/CMake.app/Contents/bin/cmake

# The command to remove a file.
RM = /Applications/CMake.app/Contents/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/moye/code/Design

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/moye/code/Design/build

#=============================================================================
# Directory level rules for the build root directory

# The main recursive "all" target.
all: SimpleFactory/all
all: factoryMethod/all
all: abstractFactory/all
all: builder/all
all: singleton/all
all: clone/all
all: proxy/all
all: bridge/all
all: decorator/all
all: adapter/all
all: facade/all
all: composite/all
all: flyweight/all
all: observer/all
all: template/all
all: strategy/all
all: chainOfResponsibility/all
all: state/all
all: iterator/all
all: visitor/all
all: memento/all
all: command/all
all: interpreter/all
all: mediator/all
.PHONY : all

# The main recursive "preinstall" target.
preinstall: SimpleFactory/preinstall
preinstall: factoryMethod/preinstall
preinstall: abstractFactory/preinstall
preinstall: builder/preinstall
preinstall: singleton/preinstall
preinstall: clone/preinstall
preinstall: proxy/preinstall
preinstall: bridge/preinstall
preinstall: decorator/preinstall
preinstall: adapter/preinstall
preinstall: facade/preinstall
preinstall: composite/preinstall
preinstall: flyweight/preinstall
preinstall: observer/preinstall
preinstall: template/preinstall
preinstall: strategy/preinstall
preinstall: chainOfResponsibility/preinstall
preinstall: state/preinstall
preinstall: iterator/preinstall
preinstall: visitor/preinstall
preinstall: memento/preinstall
preinstall: command/preinstall
preinstall: interpreter/preinstall
preinstall: mediator/preinstall
.PHONY : preinstall

# The main recursive "clean" target.
clean: SimpleFactory/clean
clean: factoryMethod/clean
clean: abstractFactory/clean
clean: builder/clean
clean: singleton/clean
clean: clone/clean
clean: proxy/clean
clean: bridge/clean
clean: decorator/clean
clean: adapter/clean
clean: facade/clean
clean: composite/clean
clean: flyweight/clean
clean: observer/clean
clean: template/clean
clean: strategy/clean
clean: chainOfResponsibility/clean
clean: state/clean
clean: iterator/clean
clean: visitor/clean
clean: memento/clean
clean: command/clean
clean: interpreter/clean
clean: mediator/clean
.PHONY : clean

#=============================================================================
# Directory level rules for directory SimpleFactory

# Recursive "all" directory target.
SimpleFactory/all: SimpleFactory/CMakeFiles/simpleFactory.dir/all
.PHONY : SimpleFactory/all

# Recursive "preinstall" directory target.
SimpleFactory/preinstall:
.PHONY : SimpleFactory/preinstall

# Recursive "clean" directory target.
SimpleFactory/clean: SimpleFactory/CMakeFiles/simpleFactory.dir/clean
.PHONY : SimpleFactory/clean

#=============================================================================
# Directory level rules for directory abstractFactory

# Recursive "all" directory target.
abstractFactory/all: abstractFactory/CMakeFiles/abstractFactory.dir/all
.PHONY : abstractFactory/all

# Recursive "preinstall" directory target.
abstractFactory/preinstall:
.PHONY : abstractFactory/preinstall

# Recursive "clean" directory target.
abstractFactory/clean: abstractFactory/CMakeFiles/abstractFactory.dir/clean
.PHONY : abstractFactory/clean

#=============================================================================
# Directory level rules for directory adapter

# Recursive "all" directory target.
adapter/all: adapter/CMakeFiles/adapter.dir/all
.PHONY : adapter/all

# Recursive "preinstall" directory target.
adapter/preinstall:
.PHONY : adapter/preinstall

# Recursive "clean" directory target.
adapter/clean: adapter/CMakeFiles/adapter.dir/clean
.PHONY : adapter/clean

#=============================================================================
# Directory level rules for directory bridge

# Recursive "all" directory target.
bridge/all: bridge/CMakeFiles/bridge.dir/all
.PHONY : bridge/all

# Recursive "preinstall" directory target.
bridge/preinstall:
.PHONY : bridge/preinstall

# Recursive "clean" directory target.
bridge/clean: bridge/CMakeFiles/bridge.dir/clean
.PHONY : bridge/clean

#=============================================================================
# Directory level rules for directory builder

# Recursive "all" directory target.
builder/all: builder/CMakeFiles/builder.dir/all
.PHONY : builder/all

# Recursive "preinstall" directory target.
builder/preinstall:
.PHONY : builder/preinstall

# Recursive "clean" directory target.
builder/clean: builder/CMakeFiles/builder.dir/clean
.PHONY : builder/clean

#=============================================================================
# Directory level rules for directory chainOfResponsibility

# Recursive "all" directory target.
chainOfResponsibility/all: chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/all
.PHONY : chainOfResponsibility/all

# Recursive "preinstall" directory target.
chainOfResponsibility/preinstall:
.PHONY : chainOfResponsibility/preinstall

# Recursive "clean" directory target.
chainOfResponsibility/clean: chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/clean
.PHONY : chainOfResponsibility/clean

#=============================================================================
# Directory level rules for directory clone

# Recursive "all" directory target.
clone/all: clone/CMakeFiles/clone.dir/all
.PHONY : clone/all

# Recursive "preinstall" directory target.
clone/preinstall:
.PHONY : clone/preinstall

# Recursive "clean" directory target.
clone/clean: clone/CMakeFiles/clone.dir/clean
.PHONY : clone/clean

#=============================================================================
# Directory level rules for directory command

# Recursive "all" directory target.
command/all: command/CMakeFiles/command.dir/all
.PHONY : command/all

# Recursive "preinstall" directory target.
command/preinstall:
.PHONY : command/preinstall

# Recursive "clean" directory target.
command/clean: command/CMakeFiles/command.dir/clean
.PHONY : command/clean

#=============================================================================
# Directory level rules for directory composite

# Recursive "all" directory target.
composite/all: composite/CMakeFiles/composite.dir/all
.PHONY : composite/all

# Recursive "preinstall" directory target.
composite/preinstall:
.PHONY : composite/preinstall

# Recursive "clean" directory target.
composite/clean: composite/CMakeFiles/composite.dir/clean
.PHONY : composite/clean

#=============================================================================
# Directory level rules for directory decorator

# Recursive "all" directory target.
decorator/all: decorator/CMakeFiles/decorator.dir/all
.PHONY : decorator/all

# Recursive "preinstall" directory target.
decorator/preinstall:
.PHONY : decorator/preinstall

# Recursive "clean" directory target.
decorator/clean: decorator/CMakeFiles/decorator.dir/clean
.PHONY : decorator/clean

#=============================================================================
# Directory level rules for directory facade

# Recursive "all" directory target.
facade/all: facade/CMakeFiles/facade.dir/all
.PHONY : facade/all

# Recursive "preinstall" directory target.
facade/preinstall:
.PHONY : facade/preinstall

# Recursive "clean" directory target.
facade/clean: facade/CMakeFiles/facade.dir/clean
.PHONY : facade/clean

#=============================================================================
# Directory level rules for directory factoryMethod

# Recursive "all" directory target.
factoryMethod/all: factoryMethod/CMakeFiles/factoryMethod.dir/all
.PHONY : factoryMethod/all

# Recursive "preinstall" directory target.
factoryMethod/preinstall:
.PHONY : factoryMethod/preinstall

# Recursive "clean" directory target.
factoryMethod/clean: factoryMethod/CMakeFiles/factoryMethod.dir/clean
.PHONY : factoryMethod/clean

#=============================================================================
# Directory level rules for directory flyweight

# Recursive "all" directory target.
flyweight/all: flyweight/CMakeFiles/flyWeight.dir/all
.PHONY : flyweight/all

# Recursive "preinstall" directory target.
flyweight/preinstall:
.PHONY : flyweight/preinstall

# Recursive "clean" directory target.
flyweight/clean: flyweight/CMakeFiles/flyWeight.dir/clean
.PHONY : flyweight/clean

#=============================================================================
# Directory level rules for directory interpreter

# Recursive "all" directory target.
interpreter/all: interpreter/CMakeFiles/interpreter.dir/all
.PHONY : interpreter/all

# Recursive "preinstall" directory target.
interpreter/preinstall:
.PHONY : interpreter/preinstall

# Recursive "clean" directory target.
interpreter/clean: interpreter/CMakeFiles/interpreter.dir/clean
.PHONY : interpreter/clean

#=============================================================================
# Directory level rules for directory iterator

# Recursive "all" directory target.
iterator/all: iterator/CMakeFiles/iterator.dir/all
.PHONY : iterator/all

# Recursive "preinstall" directory target.
iterator/preinstall:
.PHONY : iterator/preinstall

# Recursive "clean" directory target.
iterator/clean: iterator/CMakeFiles/iterator.dir/clean
.PHONY : iterator/clean

#=============================================================================
# Directory level rules for directory mediator

# Recursive "all" directory target.
mediator/all: mediator/CMakeFiles/mediator.dir/all
.PHONY : mediator/all

# Recursive "preinstall" directory target.
mediator/preinstall:
.PHONY : mediator/preinstall

# Recursive "clean" directory target.
mediator/clean: mediator/CMakeFiles/mediator.dir/clean
.PHONY : mediator/clean

#=============================================================================
# Directory level rules for directory memento

# Recursive "all" directory target.
memento/all: memento/CMakeFiles/memento.dir/all
.PHONY : memento/all

# Recursive "preinstall" directory target.
memento/preinstall:
.PHONY : memento/preinstall

# Recursive "clean" directory target.
memento/clean: memento/CMakeFiles/memento.dir/clean
.PHONY : memento/clean

#=============================================================================
# Directory level rules for directory observer

# Recursive "all" directory target.
observer/all: observer/CMakeFiles/observer.dir/all
.PHONY : observer/all

# Recursive "preinstall" directory target.
observer/preinstall:
.PHONY : observer/preinstall

# Recursive "clean" directory target.
observer/clean: observer/CMakeFiles/observer.dir/clean
.PHONY : observer/clean

#=============================================================================
# Directory level rules for directory proxy

# Recursive "all" directory target.
proxy/all: proxy/CMakeFiles/proxy.dir/all
.PHONY : proxy/all

# Recursive "preinstall" directory target.
proxy/preinstall:
.PHONY : proxy/preinstall

# Recursive "clean" directory target.
proxy/clean: proxy/CMakeFiles/proxy.dir/clean
.PHONY : proxy/clean

#=============================================================================
# Directory level rules for directory singleton

# Recursive "all" directory target.
singleton/all: singleton/CMakeFiles/singleton.dir/all
.PHONY : singleton/all

# Recursive "preinstall" directory target.
singleton/preinstall:
.PHONY : singleton/preinstall

# Recursive "clean" directory target.
singleton/clean: singleton/CMakeFiles/singleton.dir/clean
.PHONY : singleton/clean

#=============================================================================
# Directory level rules for directory state

# Recursive "all" directory target.
state/all: state/CMakeFiles/state.dir/all
.PHONY : state/all

# Recursive "preinstall" directory target.
state/preinstall:
.PHONY : state/preinstall

# Recursive "clean" directory target.
state/clean: state/CMakeFiles/state.dir/clean
.PHONY : state/clean

#=============================================================================
# Directory level rules for directory strategy

# Recursive "all" directory target.
strategy/all: strategy/CMakeFiles/strategy.dir/all
.PHONY : strategy/all

# Recursive "preinstall" directory target.
strategy/preinstall:
.PHONY : strategy/preinstall

# Recursive "clean" directory target.
strategy/clean: strategy/CMakeFiles/strategy.dir/clean
.PHONY : strategy/clean

#=============================================================================
# Directory level rules for directory template

# Recursive "all" directory target.
template/all: template/CMakeFiles/template.dir/all
.PHONY : template/all

# Recursive "preinstall" directory target.
template/preinstall:
.PHONY : template/preinstall

# Recursive "clean" directory target.
template/clean: template/CMakeFiles/template.dir/clean
.PHONY : template/clean

#=============================================================================
# Directory level rules for directory visitor

# Recursive "all" directory target.
visitor/all: visitor/CMakeFiles/visitor.dir/all
.PHONY : visitor/all

# Recursive "preinstall" directory target.
visitor/preinstall:
.PHONY : visitor/preinstall

# Recursive "clean" directory target.
visitor/clean: visitor/CMakeFiles/visitor.dir/clean
.PHONY : visitor/clean

#=============================================================================
# Target rules for target SimpleFactory/CMakeFiles/simpleFactory.dir

# All Build rule for target.
SimpleFactory/CMakeFiles/simpleFactory.dir/all:
	$(MAKE) $(MAKESILENT) -f SimpleFactory/CMakeFiles/simpleFactory.dir/build.make SimpleFactory/CMakeFiles/simpleFactory.dir/depend
	$(MAKE) $(MAKESILENT) -f SimpleFactory/CMakeFiles/simpleFactory.dir/build.make SimpleFactory/CMakeFiles/simpleFactory.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=39,40 "Built target simpleFactory"
.PHONY : SimpleFactory/CMakeFiles/simpleFactory.dir/all

# Build rule for subdir invocation for target.
SimpleFactory/CMakeFiles/simpleFactory.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 SimpleFactory/CMakeFiles/simpleFactory.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : SimpleFactory/CMakeFiles/simpleFactory.dir/rule

# Convenience name for target.
simpleFactory: SimpleFactory/CMakeFiles/simpleFactory.dir/rule
.PHONY : simpleFactory

# clean rule for target.
SimpleFactory/CMakeFiles/simpleFactory.dir/clean:
	$(MAKE) $(MAKESILENT) -f SimpleFactory/CMakeFiles/simpleFactory.dir/build.make SimpleFactory/CMakeFiles/simpleFactory.dir/clean
.PHONY : SimpleFactory/CMakeFiles/simpleFactory.dir/clean

#=============================================================================
# Target rules for target factoryMethod/CMakeFiles/factoryMethod.dir

# All Build rule for target.
factoryMethod/CMakeFiles/factoryMethod.dir/all:
	$(MAKE) $(MAKESILENT) -f factoryMethod/CMakeFiles/factoryMethod.dir/build.make factoryMethod/CMakeFiles/factoryMethod.dir/depend
	$(MAKE) $(MAKESILENT) -f factoryMethod/CMakeFiles/factoryMethod.dir/build.make factoryMethod/CMakeFiles/factoryMethod.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=21,22 "Built target factoryMethod"
.PHONY : factoryMethod/CMakeFiles/factoryMethod.dir/all

# Build rule for subdir invocation for target.
factoryMethod/CMakeFiles/factoryMethod.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 factoryMethod/CMakeFiles/factoryMethod.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : factoryMethod/CMakeFiles/factoryMethod.dir/rule

# Convenience name for target.
factoryMethod: factoryMethod/CMakeFiles/factoryMethod.dir/rule
.PHONY : factoryMethod

# clean rule for target.
factoryMethod/CMakeFiles/factoryMethod.dir/clean:
	$(MAKE) $(MAKESILENT) -f factoryMethod/CMakeFiles/factoryMethod.dir/build.make factoryMethod/CMakeFiles/factoryMethod.dir/clean
.PHONY : factoryMethod/CMakeFiles/factoryMethod.dir/clean

#=============================================================================
# Target rules for target abstractFactory/CMakeFiles/abstractFactory.dir

# All Build rule for target.
abstractFactory/CMakeFiles/abstractFactory.dir/all:
	$(MAKE) $(MAKESILENT) -f abstractFactory/CMakeFiles/abstractFactory.dir/build.make abstractFactory/CMakeFiles/abstractFactory.dir/depend
	$(MAKE) $(MAKESILENT) -f abstractFactory/CMakeFiles/abstractFactory.dir/build.make abstractFactory/CMakeFiles/abstractFactory.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=1,2 "Built target abstractFactory"
.PHONY : abstractFactory/CMakeFiles/abstractFactory.dir/all

# Build rule for subdir invocation for target.
abstractFactory/CMakeFiles/abstractFactory.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 abstractFactory/CMakeFiles/abstractFactory.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : abstractFactory/CMakeFiles/abstractFactory.dir/rule

# Convenience name for target.
abstractFactory: abstractFactory/CMakeFiles/abstractFactory.dir/rule
.PHONY : abstractFactory

# clean rule for target.
abstractFactory/CMakeFiles/abstractFactory.dir/clean:
	$(MAKE) $(MAKESILENT) -f abstractFactory/CMakeFiles/abstractFactory.dir/build.make abstractFactory/CMakeFiles/abstractFactory.dir/clean
.PHONY : abstractFactory/CMakeFiles/abstractFactory.dir/clean

#=============================================================================
# Target rules for target builder/CMakeFiles/builder.dir

# All Build rule for target.
builder/CMakeFiles/builder.dir/all:
	$(MAKE) $(MAKESILENT) -f builder/CMakeFiles/builder.dir/build.make builder/CMakeFiles/builder.dir/depend
	$(MAKE) $(MAKESILENT) -f builder/CMakeFiles/builder.dir/build.make builder/CMakeFiles/builder.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=7,8 "Built target builder"
.PHONY : builder/CMakeFiles/builder.dir/all

# Build rule for subdir invocation for target.
builder/CMakeFiles/builder.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 builder/CMakeFiles/builder.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : builder/CMakeFiles/builder.dir/rule

# Convenience name for target.
builder: builder/CMakeFiles/builder.dir/rule
.PHONY : builder

# clean rule for target.
builder/CMakeFiles/builder.dir/clean:
	$(MAKE) $(MAKESILENT) -f builder/CMakeFiles/builder.dir/build.make builder/CMakeFiles/builder.dir/clean
.PHONY : builder/CMakeFiles/builder.dir/clean

#=============================================================================
# Target rules for target singleton/CMakeFiles/singleton.dir

# All Build rule for target.
singleton/CMakeFiles/singleton.dir/all:
	$(MAKE) $(MAKESILENT) -f singleton/CMakeFiles/singleton.dir/build.make singleton/CMakeFiles/singleton.dir/depend
	$(MAKE) $(MAKESILENT) -f singleton/CMakeFiles/singleton.dir/build.make singleton/CMakeFiles/singleton.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=41,42 "Built target singleton"
.PHONY : singleton/CMakeFiles/singleton.dir/all

# Build rule for subdir invocation for target.
singleton/CMakeFiles/singleton.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 singleton/CMakeFiles/singleton.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : singleton/CMakeFiles/singleton.dir/rule

# Convenience name for target.
singleton: singleton/CMakeFiles/singleton.dir/rule
.PHONY : singleton

# clean rule for target.
singleton/CMakeFiles/singleton.dir/clean:
	$(MAKE) $(MAKESILENT) -f singleton/CMakeFiles/singleton.dir/build.make singleton/CMakeFiles/singleton.dir/clean
.PHONY : singleton/CMakeFiles/singleton.dir/clean

#=============================================================================
# Target rules for target clone/CMakeFiles/clone.dir

# All Build rule for target.
clone/CMakeFiles/clone.dir/all:
	$(MAKE) $(MAKESILENT) -f clone/CMakeFiles/clone.dir/build.make clone/CMakeFiles/clone.dir/depend
	$(MAKE) $(MAKESILENT) -f clone/CMakeFiles/clone.dir/build.make clone/CMakeFiles/clone.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=11,12 "Built target clone"
.PHONY : clone/CMakeFiles/clone.dir/all

# Build rule for subdir invocation for target.
clone/CMakeFiles/clone.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clone/CMakeFiles/clone.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : clone/CMakeFiles/clone.dir/rule

# Convenience name for target.
clone: clone/CMakeFiles/clone.dir/rule
.PHONY : clone

# clean rule for target.
clone/CMakeFiles/clone.dir/clean:
	$(MAKE) $(MAKESILENT) -f clone/CMakeFiles/clone.dir/build.make clone/CMakeFiles/clone.dir/clean
.PHONY : clone/CMakeFiles/clone.dir/clean

#=============================================================================
# Target rules for target proxy/CMakeFiles/proxy.dir

# All Build rule for target.
proxy/CMakeFiles/proxy.dir/all:
	$(MAKE) $(MAKESILENT) -f proxy/CMakeFiles/proxy.dir/build.make proxy/CMakeFiles/proxy.dir/depend
	$(MAKE) $(MAKESILENT) -f proxy/CMakeFiles/proxy.dir/build.make proxy/CMakeFiles/proxy.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=37,38 "Built target proxy"
.PHONY : proxy/CMakeFiles/proxy.dir/all

# Build rule for subdir invocation for target.
proxy/CMakeFiles/proxy.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 proxy/CMakeFiles/proxy.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : proxy/CMakeFiles/proxy.dir/rule

# Convenience name for target.
proxy: proxy/CMakeFiles/proxy.dir/rule
.PHONY : proxy

# clean rule for target.
proxy/CMakeFiles/proxy.dir/clean:
	$(MAKE) $(MAKESILENT) -f proxy/CMakeFiles/proxy.dir/build.make proxy/CMakeFiles/proxy.dir/clean
.PHONY : proxy/CMakeFiles/proxy.dir/clean

#=============================================================================
# Target rules for target bridge/CMakeFiles/bridge.dir

# All Build rule for target.
bridge/CMakeFiles/bridge.dir/all:
	$(MAKE) $(MAKESILENT) -f bridge/CMakeFiles/bridge.dir/build.make bridge/CMakeFiles/bridge.dir/depend
	$(MAKE) $(MAKESILENT) -f bridge/CMakeFiles/bridge.dir/build.make bridge/CMakeFiles/bridge.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=5,6 "Built target bridge"
.PHONY : bridge/CMakeFiles/bridge.dir/all

# Build rule for subdir invocation for target.
bridge/CMakeFiles/bridge.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 bridge/CMakeFiles/bridge.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : bridge/CMakeFiles/bridge.dir/rule

# Convenience name for target.
bridge: bridge/CMakeFiles/bridge.dir/rule
.PHONY : bridge

# clean rule for target.
bridge/CMakeFiles/bridge.dir/clean:
	$(MAKE) $(MAKESILENT) -f bridge/CMakeFiles/bridge.dir/build.make bridge/CMakeFiles/bridge.dir/clean
.PHONY : bridge/CMakeFiles/bridge.dir/clean

#=============================================================================
# Target rules for target decorator/CMakeFiles/decorator.dir

# All Build rule for target.
decorator/CMakeFiles/decorator.dir/all:
	$(MAKE) $(MAKESILENT) -f decorator/CMakeFiles/decorator.dir/build.make decorator/CMakeFiles/decorator.dir/depend
	$(MAKE) $(MAKESILENT) -f decorator/CMakeFiles/decorator.dir/build.make decorator/CMakeFiles/decorator.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=17,18 "Built target decorator"
.PHONY : decorator/CMakeFiles/decorator.dir/all

# Build rule for subdir invocation for target.
decorator/CMakeFiles/decorator.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 decorator/CMakeFiles/decorator.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : decorator/CMakeFiles/decorator.dir/rule

# Convenience name for target.
decorator: decorator/CMakeFiles/decorator.dir/rule
.PHONY : decorator

# clean rule for target.
decorator/CMakeFiles/decorator.dir/clean:
	$(MAKE) $(MAKESILENT) -f decorator/CMakeFiles/decorator.dir/build.make decorator/CMakeFiles/decorator.dir/clean
.PHONY : decorator/CMakeFiles/decorator.dir/clean

#=============================================================================
# Target rules for target adapter/CMakeFiles/adapter.dir

# All Build rule for target.
adapter/CMakeFiles/adapter.dir/all:
	$(MAKE) $(MAKESILENT) -f adapter/CMakeFiles/adapter.dir/build.make adapter/CMakeFiles/adapter.dir/depend
	$(MAKE) $(MAKESILENT) -f adapter/CMakeFiles/adapter.dir/build.make adapter/CMakeFiles/adapter.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=3,4 "Built target adapter"
.PHONY : adapter/CMakeFiles/adapter.dir/all

# Build rule for subdir invocation for target.
adapter/CMakeFiles/adapter.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 adapter/CMakeFiles/adapter.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : adapter/CMakeFiles/adapter.dir/rule

# Convenience name for target.
adapter: adapter/CMakeFiles/adapter.dir/rule
.PHONY : adapter

# clean rule for target.
adapter/CMakeFiles/adapter.dir/clean:
	$(MAKE) $(MAKESILENT) -f adapter/CMakeFiles/adapter.dir/build.make adapter/CMakeFiles/adapter.dir/clean
.PHONY : adapter/CMakeFiles/adapter.dir/clean

#=============================================================================
# Target rules for target facade/CMakeFiles/facade.dir

# All Build rule for target.
facade/CMakeFiles/facade.dir/all:
	$(MAKE) $(MAKESILENT) -f facade/CMakeFiles/facade.dir/build.make facade/CMakeFiles/facade.dir/depend
	$(MAKE) $(MAKESILENT) -f facade/CMakeFiles/facade.dir/build.make facade/CMakeFiles/facade.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=19,20 "Built target facade"
.PHONY : facade/CMakeFiles/facade.dir/all

# Build rule for subdir invocation for target.
facade/CMakeFiles/facade.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 facade/CMakeFiles/facade.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : facade/CMakeFiles/facade.dir/rule

# Convenience name for target.
facade: facade/CMakeFiles/facade.dir/rule
.PHONY : facade

# clean rule for target.
facade/CMakeFiles/facade.dir/clean:
	$(MAKE) $(MAKESILENT) -f facade/CMakeFiles/facade.dir/build.make facade/CMakeFiles/facade.dir/clean
.PHONY : facade/CMakeFiles/facade.dir/clean

#=============================================================================
# Target rules for target composite/CMakeFiles/composite.dir

# All Build rule for target.
composite/CMakeFiles/composite.dir/all:
	$(MAKE) $(MAKESILENT) -f composite/CMakeFiles/composite.dir/build.make composite/CMakeFiles/composite.dir/depend
	$(MAKE) $(MAKESILENT) -f composite/CMakeFiles/composite.dir/build.make composite/CMakeFiles/composite.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=15,16 "Built target composite"
.PHONY : composite/CMakeFiles/composite.dir/all

# Build rule for subdir invocation for target.
composite/CMakeFiles/composite.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 composite/CMakeFiles/composite.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : composite/CMakeFiles/composite.dir/rule

# Convenience name for target.
composite: composite/CMakeFiles/composite.dir/rule
.PHONY : composite

# clean rule for target.
composite/CMakeFiles/composite.dir/clean:
	$(MAKE) $(MAKESILENT) -f composite/CMakeFiles/composite.dir/build.make composite/CMakeFiles/composite.dir/clean
.PHONY : composite/CMakeFiles/composite.dir/clean

#=============================================================================
# Target rules for target flyweight/CMakeFiles/flyWeight.dir

# All Build rule for target.
flyweight/CMakeFiles/flyWeight.dir/all:
	$(MAKE) $(MAKESILENT) -f flyweight/CMakeFiles/flyWeight.dir/build.make flyweight/CMakeFiles/flyWeight.dir/depend
	$(MAKE) $(MAKESILENT) -f flyweight/CMakeFiles/flyWeight.dir/build.make flyweight/CMakeFiles/flyWeight.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=23,24 "Built target flyWeight"
.PHONY : flyweight/CMakeFiles/flyWeight.dir/all

# Build rule for subdir invocation for target.
flyweight/CMakeFiles/flyWeight.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flyweight/CMakeFiles/flyWeight.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : flyweight/CMakeFiles/flyWeight.dir/rule

# Convenience name for target.
flyWeight: flyweight/CMakeFiles/flyWeight.dir/rule
.PHONY : flyWeight

# clean rule for target.
flyweight/CMakeFiles/flyWeight.dir/clean:
	$(MAKE) $(MAKESILENT) -f flyweight/CMakeFiles/flyWeight.dir/build.make flyweight/CMakeFiles/flyWeight.dir/clean
.PHONY : flyweight/CMakeFiles/flyWeight.dir/clean

#=============================================================================
# Target rules for target observer/CMakeFiles/observer.dir

# All Build rule for target.
observer/CMakeFiles/observer.dir/all:
	$(MAKE) $(MAKESILENT) -f observer/CMakeFiles/observer.dir/build.make observer/CMakeFiles/observer.dir/depend
	$(MAKE) $(MAKESILENT) -f observer/CMakeFiles/observer.dir/build.make observer/CMakeFiles/observer.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=35,36 "Built target observer"
.PHONY : observer/CMakeFiles/observer.dir/all

# Build rule for subdir invocation for target.
observer/CMakeFiles/observer.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 observer/CMakeFiles/observer.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : observer/CMakeFiles/observer.dir/rule

# Convenience name for target.
observer: observer/CMakeFiles/observer.dir/rule
.PHONY : observer

# clean rule for target.
observer/CMakeFiles/observer.dir/clean:
	$(MAKE) $(MAKESILENT) -f observer/CMakeFiles/observer.dir/build.make observer/CMakeFiles/observer.dir/clean
.PHONY : observer/CMakeFiles/observer.dir/clean

#=============================================================================
# Target rules for target template/CMakeFiles/template.dir

# All Build rule for target.
template/CMakeFiles/template.dir/all:
	$(MAKE) $(MAKESILENT) -f template/CMakeFiles/template.dir/build.make template/CMakeFiles/template.dir/depend
	$(MAKE) $(MAKESILENT) -f template/CMakeFiles/template.dir/build.make template/CMakeFiles/template.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=48,49 "Built target template"
.PHONY : template/CMakeFiles/template.dir/all

# Build rule for subdir invocation for target.
template/CMakeFiles/template.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 template/CMakeFiles/template.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : template/CMakeFiles/template.dir/rule

# Convenience name for target.
template: template/CMakeFiles/template.dir/rule
.PHONY : template

# clean rule for target.
template/CMakeFiles/template.dir/clean:
	$(MAKE) $(MAKESILENT) -f template/CMakeFiles/template.dir/build.make template/CMakeFiles/template.dir/clean
.PHONY : template/CMakeFiles/template.dir/clean

#=============================================================================
# Target rules for target strategy/CMakeFiles/strategy.dir

# All Build rule for target.
strategy/CMakeFiles/strategy.dir/all:
	$(MAKE) $(MAKESILENT) -f strategy/CMakeFiles/strategy.dir/build.make strategy/CMakeFiles/strategy.dir/depend
	$(MAKE) $(MAKESILENT) -f strategy/CMakeFiles/strategy.dir/build.make strategy/CMakeFiles/strategy.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=46,47 "Built target strategy"
.PHONY : strategy/CMakeFiles/strategy.dir/all

# Build rule for subdir invocation for target.
strategy/CMakeFiles/strategy.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 strategy/CMakeFiles/strategy.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : strategy/CMakeFiles/strategy.dir/rule

# Convenience name for target.
strategy: strategy/CMakeFiles/strategy.dir/rule
.PHONY : strategy

# clean rule for target.
strategy/CMakeFiles/strategy.dir/clean:
	$(MAKE) $(MAKESILENT) -f strategy/CMakeFiles/strategy.dir/build.make strategy/CMakeFiles/strategy.dir/clean
.PHONY : strategy/CMakeFiles/strategy.dir/clean

#=============================================================================
# Target rules for target chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir

# All Build rule for target.
chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/all:
	$(MAKE) $(MAKESILENT) -f chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/build.make chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/depend
	$(MAKE) $(MAKESILENT) -f chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/build.make chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=9,10 "Built target chainOfResponsibility"
.PHONY : chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/all

# Build rule for subdir invocation for target.
chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/rule

# Convenience name for target.
chainOfResponsibility: chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/rule
.PHONY : chainOfResponsibility

# clean rule for target.
chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/clean:
	$(MAKE) $(MAKESILENT) -f chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/build.make chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/clean
.PHONY : chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/clean

#=============================================================================
# Target rules for target state/CMakeFiles/state.dir

# All Build rule for target.
state/CMakeFiles/state.dir/all:
	$(MAKE) $(MAKESILENT) -f state/CMakeFiles/state.dir/build.make state/CMakeFiles/state.dir/depend
	$(MAKE) $(MAKESILENT) -f state/CMakeFiles/state.dir/build.make state/CMakeFiles/state.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=43,44,45 "Built target state"
.PHONY : state/CMakeFiles/state.dir/all

# Build rule for subdir invocation for target.
state/CMakeFiles/state.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 3
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 state/CMakeFiles/state.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : state/CMakeFiles/state.dir/rule

# Convenience name for target.
state: state/CMakeFiles/state.dir/rule
.PHONY : state

# clean rule for target.
state/CMakeFiles/state.dir/clean:
	$(MAKE) $(MAKESILENT) -f state/CMakeFiles/state.dir/build.make state/CMakeFiles/state.dir/clean
.PHONY : state/CMakeFiles/state.dir/clean

#=============================================================================
# Target rules for target iterator/CMakeFiles/iterator.dir

# All Build rule for target.
iterator/CMakeFiles/iterator.dir/all:
	$(MAKE) $(MAKESILENT) -f iterator/CMakeFiles/iterator.dir/build.make iterator/CMakeFiles/iterator.dir/depend
	$(MAKE) $(MAKESILENT) -f iterator/CMakeFiles/iterator.dir/build.make iterator/CMakeFiles/iterator.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=27,28,29 "Built target iterator"
.PHONY : iterator/CMakeFiles/iterator.dir/all

# Build rule for subdir invocation for target.
iterator/CMakeFiles/iterator.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 3
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 iterator/CMakeFiles/iterator.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : iterator/CMakeFiles/iterator.dir/rule

# Convenience name for target.
iterator: iterator/CMakeFiles/iterator.dir/rule
.PHONY : iterator

# clean rule for target.
iterator/CMakeFiles/iterator.dir/clean:
	$(MAKE) $(MAKESILENT) -f iterator/CMakeFiles/iterator.dir/build.make iterator/CMakeFiles/iterator.dir/clean
.PHONY : iterator/CMakeFiles/iterator.dir/clean

#=============================================================================
# Target rules for target visitor/CMakeFiles/visitor.dir

# All Build rule for target.
visitor/CMakeFiles/visitor.dir/all:
	$(MAKE) $(MAKESILENT) -f visitor/CMakeFiles/visitor.dir/build.make visitor/CMakeFiles/visitor.dir/depend
	$(MAKE) $(MAKESILENT) -f visitor/CMakeFiles/visitor.dir/build.make visitor/CMakeFiles/visitor.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=50,51,52 "Built target visitor"
.PHONY : visitor/CMakeFiles/visitor.dir/all

# Build rule for subdir invocation for target.
visitor/CMakeFiles/visitor.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 3
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 visitor/CMakeFiles/visitor.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : visitor/CMakeFiles/visitor.dir/rule

# Convenience name for target.
visitor: visitor/CMakeFiles/visitor.dir/rule
.PHONY : visitor

# clean rule for target.
visitor/CMakeFiles/visitor.dir/clean:
	$(MAKE) $(MAKESILENT) -f visitor/CMakeFiles/visitor.dir/build.make visitor/CMakeFiles/visitor.dir/clean
.PHONY : visitor/CMakeFiles/visitor.dir/clean

#=============================================================================
# Target rules for target memento/CMakeFiles/memento.dir

# All Build rule for target.
memento/CMakeFiles/memento.dir/all:
	$(MAKE) $(MAKESILENT) -f memento/CMakeFiles/memento.dir/build.make memento/CMakeFiles/memento.dir/depend
	$(MAKE) $(MAKESILENT) -f memento/CMakeFiles/memento.dir/build.make memento/CMakeFiles/memento.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=32,33,34 "Built target memento"
.PHONY : memento/CMakeFiles/memento.dir/all

# Build rule for subdir invocation for target.
memento/CMakeFiles/memento.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 3
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 memento/CMakeFiles/memento.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : memento/CMakeFiles/memento.dir/rule

# Convenience name for target.
memento: memento/CMakeFiles/memento.dir/rule
.PHONY : memento

# clean rule for target.
memento/CMakeFiles/memento.dir/clean:
	$(MAKE) $(MAKESILENT) -f memento/CMakeFiles/memento.dir/build.make memento/CMakeFiles/memento.dir/clean
.PHONY : memento/CMakeFiles/memento.dir/clean

#=============================================================================
# Target rules for target command/CMakeFiles/command.dir

# All Build rule for target.
command/CMakeFiles/command.dir/all:
	$(MAKE) $(MAKESILENT) -f command/CMakeFiles/command.dir/build.make command/CMakeFiles/command.dir/depend
	$(MAKE) $(MAKESILENT) -f command/CMakeFiles/command.dir/build.make command/CMakeFiles/command.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=13,14 "Built target command"
.PHONY : command/CMakeFiles/command.dir/all

# Build rule for subdir invocation for target.
command/CMakeFiles/command.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 command/CMakeFiles/command.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : command/CMakeFiles/command.dir/rule

# Convenience name for target.
command: command/CMakeFiles/command.dir/rule
.PHONY : command

# clean rule for target.
command/CMakeFiles/command.dir/clean:
	$(MAKE) $(MAKESILENT) -f command/CMakeFiles/command.dir/build.make command/CMakeFiles/command.dir/clean
.PHONY : command/CMakeFiles/command.dir/clean

#=============================================================================
# Target rules for target interpreter/CMakeFiles/interpreter.dir

# All Build rule for target.
interpreter/CMakeFiles/interpreter.dir/all:
	$(MAKE) $(MAKESILENT) -f interpreter/CMakeFiles/interpreter.dir/build.make interpreter/CMakeFiles/interpreter.dir/depend
	$(MAKE) $(MAKESILENT) -f interpreter/CMakeFiles/interpreter.dir/build.make interpreter/CMakeFiles/interpreter.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=25,26 "Built target interpreter"
.PHONY : interpreter/CMakeFiles/interpreter.dir/all

# Build rule for subdir invocation for target.
interpreter/CMakeFiles/interpreter.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 interpreter/CMakeFiles/interpreter.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : interpreter/CMakeFiles/interpreter.dir/rule

# Convenience name for target.
interpreter: interpreter/CMakeFiles/interpreter.dir/rule
.PHONY : interpreter

# clean rule for target.
interpreter/CMakeFiles/interpreter.dir/clean:
	$(MAKE) $(MAKESILENT) -f interpreter/CMakeFiles/interpreter.dir/build.make interpreter/CMakeFiles/interpreter.dir/clean
.PHONY : interpreter/CMakeFiles/interpreter.dir/clean

#=============================================================================
# Target rules for target mediator/CMakeFiles/mediator.dir

# All Build rule for target.
mediator/CMakeFiles/mediator.dir/all:
	$(MAKE) $(MAKESILENT) -f mediator/CMakeFiles/mediator.dir/build.make mediator/CMakeFiles/mediator.dir/depend
	$(MAKE) $(MAKESILENT) -f mediator/CMakeFiles/mediator.dir/build.make mediator/CMakeFiles/mediator.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/Users/moye/code/Design/build/CMakeFiles --progress-num=30,31 "Built target mediator"
.PHONY : mediator/CMakeFiles/mediator.dir/all

# Build rule for subdir invocation for target.
mediator/CMakeFiles/mediator.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mediator/CMakeFiles/mediator.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : mediator/CMakeFiles/mediator.dir/rule

# Convenience name for target.
mediator: mediator/CMakeFiles/mediator.dir/rule
.PHONY : mediator

# clean rule for target.
mediator/CMakeFiles/mediator.dir/clean:
	$(MAKE) $(MAKESILENT) -f mediator/CMakeFiles/mediator.dir/build.make mediator/CMakeFiles/mediator.dir/clean
.PHONY : mediator/CMakeFiles/mediator.dir/clean

#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

